Docs

Reference

Cancel a sequence

Stop a running sequence; Telegram work of the current step that has not started is cancelled (sent messages are not recalled).

View MarkdownThis page is generated from the source code on every release.

Stop a running sequence; Telegram work of the current step that has not started is cancelled (sent messages are not recalled).

Overview

Name Value
Code sequences.cancel
Scope needed accounts.read
Risk Write
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent
In the app Accounts → Log → Cancel button

Input fields

Field Type Required Description
id uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/sequences.cancel \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
ok true Yes
sequence object Yes

Example answer

{
  "data": {
    "ok": true,
    "sequence": {
      "id": "00000000-0000-4000-8000-000000000000",
      "title": "text",
      "account_id": "00000000-0000-4000-8000-000000000000",
      "connection_id": "00000000-0000-4000-8000-000000000000",
      "status": "running",
      "created_at": "2026-10-22T12:00:00.000Z",
      "finished_at": "2026-10-22T12:00:00.000Z",
      "steps": [
        "text"
      ]
    }
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "sequences.cancel". Tool name when listed: sequences_cancel.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0